Package org.eclipse.birt.chart.aggregate

# Interface IAggregateFunction

public interface IAggregateFunction
This interface defines the extension interface for all chart aggregate functions.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BIGDECIMAL`
`static final int`
`CALENDAR`
`static final int`
`CUSTOM`
`static final int`
`DATE`
`static final int`
`NULL`
`static final int`
`NUMBER`
`static final int`
`RUNNING_AGGR`
`static final int`
`SUMMARY_AGGR`
`static final int`
`TEXT`
`static final int`
`UNKNOWN`

## Method Summary

Modifier and Type
Method
Description
`void`
`accumulate(Object oValue)`
An internally generated notification indicating that a function implementer should accumulate another value (to be subsequently aggregated)
`Object`
`getAggregatedValue()`
Returns the aggregated value as determined by the function implementation.
`int`
`getBIRTDataType()`
Returns the aggregation data type defined by BIRT.
`String[]`
`getDisplayParameters()`
Returns display text of aggregate parameters.
`int`
`getParametersCount()`
Returns the count of aggregate parameter.
`int`
`getType()`
Returns aggregate type.
`void`
`initialize()`
Sends out a notification to a function implementation subclass to initialize local member variables.

## Field Details

### SUMMARY_AGGR

static final int SUMMARY_AGGR

See Also:
  - Constant Field Values

### RUNNING_AGGR

static final int RUNNING_AGGR

See Also:
  - Constant Field Values

### UNKNOWN

static final int UNKNOWN

See Also:
  - Constant Field Values

### NULL

static final int NULL

See Also:
  - Constant Field Values

### DATE

static final int DATE

See Also:
  - Constant Field Values

### CALENDAR

static final int CALENDAR

See Also:
  - Constant Field Values

### NUMBER

static final int NUMBER

See Also:
  - Constant Field Values

### BIGDECIMAL

static final int BIGDECIMAL

See Also:
  - Constant Field Values

### TEXT

static final int TEXT

See Also:
  - Constant Field Values

### CUSTOM

static final int CUSTOM

See Also:
  - Constant Field Values

## Method Details

### accumulate

void accumulate(Object oValue) throws IllegalArgumentException
An internally generated notification indicating that a function implementer should accumulate another value (to be subsequently aggregated)

Parameters:
  `oValue` - The numeric value to be accumulated
Throws:
  `IllegalArgumentException`

### getAggregatedValue

Object getAggregatedValue()
Returns the aggregated value as determined by the function implementation.

Returns:
  The aggregated value as determined by the function implementation.

### initialize

void initialize()
Sends out a notification to a function implementation subclass to initialize local member variables.

### getParametersCount

int getParametersCount()
Returns the count of aggregate parameter.

Since:
  BIRT 2.3

### getDisplayParameters

String[] getDisplayParameters()
Returns display text of aggregate parameters.

Since:
  BIRT 2.3

### getType

int getType()
Returns aggregate type.

Since:
  BIRT 2.3
See Also:
  - `SUMMARY_AGGR`
  - `RUNNING_AGGR`

### getBIRTDataType

int getBIRTDataType()
Returns the aggregation data type defined by BIRT.

Returns:
  The aggregation data type defined by BIRT.
Since:
  BIRT 2.5.2